@import url("./font.scss");

$color-red: #e42618;
$color-grey: #e5e5e5;
$color-white: #fff;

$font: "Archivo Narrow";

@mixin flex {
  display: flex;
}

@mixin items-center {
  @include flex;
  align-items: center;
}

@mixin content {
  @include flex;
  justify-content: center;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: $font;
}

header {
  background-image: url("../img/header.png");
  width: 1480px;
  height: 292px;
  background-size: cover;
  position: absolute;
  .header-top {
    @include items-center;
    .header-top-left {
      @include items-center;
      width: 50%;
      padding: 35px 0 0 60px;
      .ul {
        background-image: url("../img/logoUL.png");
        width: 41px;
        height: 78px;
        margin-right: 50px;
        ::after {
          content: "";
          position: absolute;
          left: 108px;
          width: 1px;
          margin-left: 1rem;
          height: 78px;
          background-color: $color-white;
        }
      }
      .insa {
        background-image: url("../img/insa.png");
        width: 220px;
        height: 47px;
      }
    }
    .header-top-right {
      @include items-center;
      width: 50%;
      padding-top: 35px;
      ul {
        @include flex;
        width: 100%;
        justify-content: flex-end;
        list-style: none;
        li {
          padding: 0 25px;
          color: $color-white;
        }
      }
    }
  }
  .header-middle {
    h1 {
      padding-top: 30px;
      text-align: center;
      font-size: 60px;
      color: $color-white;
      font-weight: 100;
    }
  }
  .polygon-left {
    background-color: $color-grey;
    clip-path: polygon(0 0, 0% 100%, 100% 100%);
    width: 446px;
    height: 187px;
    position: relative;
    bottom: 118px;
  }
  .polygon-right {
    background-color: $color-red;
    clip-path: polygon(100% 0, 0% 100%, 100% 100%);
    height: 187px;
    width: 740px;
    position: relative;
    bottom: 306px;
    left: 740px;
  }
}
